Skip to content

# Interface: WizardStepProps<D>

Renderer.Component.WizardStepProps

## Type parameters

Name | Type
--- | ---
`D` | `D` = `any`

## Hierarchy

- `WizardCommonProps`<D>

↳ WizardStepProps

## Table of contents

### Properties

- afterContent
- beforeContent
- className
- contentClass
- customButtons
- data
- disabledNext
- done
- first
- hideBackBtn
- hideNextBtn
- hideSteps
- isFirst
- isLast
- last
- loading
- moreButtons
- next
- nextLabel
- noValidate
- prev
- prevLabel
- reset
- save
- scrollable
- skip
- step
- title
- waiting
- wizard

## Properties

### afterContent

• `Optional` afterContent: `ReactNode`

### beforeContent

• `Optional` beforeContent: `ReactNode`

### className

• `Optional` className: `string` | `object`

### contentClass

• `Optional` contentClass: `string` | `object`

### customButtons

• `Optional` customButtons: `ReactNode`

### data

• `Optional` data: `Partial`<D>

#### Inherited from

WizardCommonProps.data

### disabledNext

• `Optional` disabledNext: `boolean`

### done

• `Optional` done: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

#### Inherited from

WizardCommonProps.done

### first

• `Optional` first: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

### hideBackBtn

• `Optional` hideBackBtn: `boolean`

### hideNextBtn

• `Optional` hideNextBtn: `boolean`

### hideSteps

• `Optional` hideSteps: `boolean`

#### Inherited from

WizardCommonProps.hideSteps

### isFirst

• `Optional` isFirst: () => `boolean`

#### Type declaration

▸ (): `boolean`

##### Returns

`boolean`

### isLast

• `Optional` isLast: () => `boolean`

#### Type declaration

▸ (): `boolean`

##### Returns

`boolean`

### last

• `Optional` last: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

### loading

• `Optional` loading: `boolean`

### moreButtons

• `Optional` moreButtons: `ReactNode`

### next

• `Optional` next: () => `boolean` | `void` | `Promise`<any>

#### Type declaration

▸ (): `boolean` | `void` | `Promise`<any>

##### Returns

`boolean` | `void` | `Promise`<any>

### nextLabel

• `Optional` nextLabel: `ReactNode`

### noValidate

• `Optional` noValidate: `boolean`

### prev

• `Optional` prev: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

### prevLabel

• `Optional` prevLabel: `ReactNode`

### reset

• `Optional` reset: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

#### Inherited from

WizardCommonProps.reset

### save

• `Optional` save: (`data`: `Partial`, `callback?`: () => `void`) => `void`

#### Type declaration

▸ (`data`, `callback?`): `void`

##### Parameters

Name | Type
--- | ---
`data` | `Partial`<D>
`callback?` | () => `void`

##### Returns

`void`

#### Inherited from

WizardCommonProps.save

### scrollable

• `Optional` scrollable: `boolean`

### skip

• `Optional` skip: `boolean`

### step

• `Optional` step: `number`

### title

• `Optional` title: `string`

### waiting

• `Optional` waiting: `boolean`

### wizard

• `Optional` wizard: Wizard